[PC-BSD Commits] r1295 - pbibuild/pbibuilder/scripts
svn at pcbsd.org
svn at pcbsd.org
Thu Jan 31 18:22:33 PST 2008
Author: kris
Date: 2008-01-31 18:22:33 -0800 (Thu, 31 Jan 2008)
New Revision: 1295
Modified:
pbibuild/pbibuilder/scripts/2.makeport.sh
Log:
Added feature to pbi builder to ignore broken ports now.
Modified: pbibuild/pbibuilder/scripts/2.makeport.sh
===================================================================
--- pbibuild/pbibuilder/scripts/2.makeport.sh 2008-02-01 01:35:58 UTC (rev 1294)
+++ pbibuild/pbibuilder/scripts/2.makeport.sh 2008-02-01 02:22:33 UTC (rev 1295)
@@ -13,8 +13,21 @@
exit 1
fi
+if [ -d "${PROGDIR}/svn" ]
+then
+ # Make sure we update the svn source
+ cd ${PROGDIR}/svn
+ svn update
+ # Copy the module directory
+ echo "Copying modules directory..."
+ rm -rf ${PROGDIR}/modules
+ mkdir ${PROGDIR}/modules
+ tar cvf - -C /pcbsd-build/svn/pbibuild/modules --exclude .svn . 2>/dev/null | tar xvpf - -C ${PROGDIR}/modules 2>/dev/null
+
+fi
+
BUILDWORLD="${PROGDIR}/buildworld" ; export BUILDWORLD
PDESTDIR="${PROGDIR}/pbisandbox" ; export PDESTDIR
PBIDIR="/pbi" ; export PBIDIR
@@ -68,8 +81,16 @@
echo "Module ${module} is up to date"
fi
+cat ${PROGDIR}/${PBIPORT}/Makefile | grep "^BROKEN=" >/dev/null 2>/dev/null
+if [ "$?" == "0" ]
+then
+ echo "Module ${module} is marked as broken, skipping..."
+ BUILD="0"
fi
+
+fi
+
# Check if we need to rebuild this PBI / port
if [ "${BUILD}" = "1" ]
then
More information about the Commits
mailing list